### Enumeration

# St GradientType

#### Declaration

    enum St.GradientType

#### Description [src]

Used to specify options when rendering gradients.

#### Members

`ST_GRADIENT_NONE`

  No gradient.

  - Value: `0`
  - Available since: 14
`ST_GRADIENT_VERTICAL`

  A vertical gradient.

  - Value: `1`
  - Available since: 14
`ST_GRADIENT_HORIZONTAL`

  A horizontal gradient.

  - Value: `2`
  - Available since: 14
`ST_GRADIENT_RADIAL`

  Lookup the style requested in the icon name.

  - Value: `3`
  - Available since: 14